AstrologyAPI

Use access token to call astrology api.

Learn More

Pitra Dosha Report

POSThttps://json.astrologyapi.com/v1/pitra_dosha_report
Copy

The pitra_dosha_report API provides a report on the presence of Pitri Dosha in a horoscope, including a description of what Pitri Dosha is, whether it is present or not, the rules matched, remedies, and effects. The response includes information such as the rules that cause Pitri Dosha, remedies to overcome it, and its potential negative effects, such as delays in marriage and education or inherited diseases.

POST/pitra_dosha_report
Copy
1curl --location 'https://json.astrologyapi.com/v1/pitra_dosha_report' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "day": 10,
6    "month": 5,
7    "year": 1990,
8    "hour": 19,
9    "min": 55,
10    "lat": 19.2056,
11    "lon": 25.2056,
12    "tzone": 5.5
13}'
14
200Response
Copy
1{
2  "what_is_pitri_dosha": "Pitri Dosha is a Karmic Debt of the ancestors and reflected in the horoscope in the form of planetary combinations. It can also happen due to the neglect of ancestors and not providing them their proper due in the form of shraddh or charity or spiritual upliftments.",
3  "is_pitri_dosha_present": true,
4  "rules_matched": [
5    "Conjuction of Moon and Rahu and/or Rahu and Saturn causes Pitri Dosha."
6  ],
7  "conclusion": "Your horoscope is having Pitri Dosha as it is satisfying 1 rules laid down for Pitri Dosha. You should not worry as there are remedies for Pitri Dosha which you can perform and be relieved from this dosha.",
8  "remedies": [
9    "Following are the remedies to be performed for Pitri Dosha",
10    "Pitri dosha nivaran puja should be performed to pacify that malefic planet in Pitri paksha.",
11    "Auspicious Puja, Vrat for destroying the effects of past sinful deeds or Pitra Dosha.",
12    "Charity on Akshaya Tritiya.",
13    "Perform Trapandi Shraad to get rid of Pitri dosha.",
14    "Giving water to the Banyan tree is also a remedial measure for pitri dosha.",
15    "Offer food to Brahmins on every \"Amavasya\".",
16    "Donate food items on every \"Amavasya\" and \"Poornima\" in some temple or other religious places.",
17    "Conduct Mantra Jap, Puja, Charity in Adhik or Purushottam Maas.",
18    "Perform Puja, Vrat on Falharini Kalika Jyeshtha Amvasya.",
19    "Worship Lord Shiva regularly to have peace to you and your ancestors."
20  ],
21  "effects": [
22    "Following are the effects of Pitri Dosha - ",
23    "Pitri Dosha leads to unfavorable environment in the family.",
24    "It also leads to delay in marriage and having unsuccessful marriages.",
25    "Pitri Dosh can also cause accidents or unwanted incidents in the family.",
26    "It can cause delay or obstructions in education with or may land one into never ending debts.",
27    "Inherited diseases and prolong illness is one of the ill effects of pitri dosha"
28  ]
29}

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - enHindi - hiMarathi - maBengali - bnTamil - taTelugu - teMalayalam - mlKannada - kn

Request Body (JSON)

day

int

required

Date of birth, eg: 10

month

int

required

Month of birth, eg: 5

year

int

required

Year of birth, eg: 1990

hour

int

required

Hour of birth, eg: 19

min

int

required

Minute of birth, eg: 55

lat

float

required

Latitude, eg: 19.2056

lon

float

required

Longitude, eg: 25.2056

tzone

float

required

Timezone, eg: 5.5

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.